### Function Macro

# GLib main_set_poll_func

deprecated: 2.2

#### Declaration

    #define g_main_set_poll_func (
      func
    )

#### Description

Sets the function to use for the handle polling of file descriptors for the default main context.

Deprecated since: 2.2

Use `g_main_context_set_poll_func()` again.

This function is not directly available to language bindings.

#### Parameters

`func`

  Type: `-`

  The function to call to poll all file descriptors.